Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IPseudostate

    com.change_vision.jude.api.inf.model.IPseudostate

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement, IVertex

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement, IVertex

    public IPseudostate

extends IVertex

Interface for Pseudostates.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract boolean` | `isChoicePseudostate()` Check if the pseudostate is a ChoicePseudostate.
`abstract boolean` | `isDeepHistoryPseudostate()` Check if the pseudostate is a DeepHistoryPseudostate.
`abstract boolean` | `isEntryPointPseudostate()` Check if the pseudostate is an EntryPoint.
`abstract boolean` | `isExitPointPseudostate()` Check if the pseudostate is an ExitPoint.
`abstract boolean` | `isForkPseudostate()` Check if the pseudostate is a ForkPseudostate.
`abstract boolean` | `isInitialPseudostate()` Check if the pseudostate is an InitialPseudostate.
`abstract boolean` | `isJoinPseudostate()` Check if the pseudostate is a JoinPseudostate.
`abstract boolean` | `isJunctionPseudostate()` Check if the pseudostate is a JunctionPseudostate.
`abstract boolean` | `isShallowHistoryPseudostate()` Check if the pseudostate is a ShallowHistoryPseudostate.
`abstract boolean` | `isStubState()` Check if it is a StubState.

Methods inherited from class com.change_vision.jude.api.inf.model.IVertex
`getIncomings, getOutgoings`

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isInitialPseudostate

    abstract boolean isInitialPseudostate()

  Check if the pseudostate is an InitialPseudostate.

  Returns:
    true it is an InitialPseudostate / false it is not an InitialPseudostate

### isShallowHistoryPseudostate

    abstract boolean isShallowHistoryPseudostate()

  Check if the pseudostate is a ShallowHistoryPseudostate.

  Returns:
    true it is a ShallowHistoryPseudostate / false it is not a ShallowHistoryPseudostate

### isDeepHistoryPseudostate

    abstract boolean isDeepHistoryPseudostate()

  Check if the pseudostate is a DeepHistoryPseudostate.

  Returns:
    true it is a DeepHistoryPseudostate / false it is not a DeepHistoryPseudostate

### isJunctionPseudostate

    abstract boolean isJunctionPseudostate()

  Check if the pseudostate is a JunctionPseudostate.

  Returns:
    true it is a JunctionPseudostate / false it is not a JunctionPseudostate

### isChoicePseudostate

    abstract boolean isChoicePseudostate()

  Check if the pseudostate is a ChoicePseudostate.

  Returns:
    true it is a ChoicePseudostate / false it is not a ChoicePseudostate

### isForkPseudostate

    abstract boolean isForkPseudostate()

  Check if the pseudostate is a ForkPseudostate.

  Returns:
    true it is a ForkPseudostate / false it is not a ForkPseudostate

### isJoinPseudostate

    abstract boolean isJoinPseudostate()

  Check if the pseudostate is a JoinPseudostate.

  Returns:
    true it is a JoinPseudostate / false it is not a JoinPseudostate

### isStubState

    abstract boolean isStubState()

  Check if it is a StubState.

  Returns:
    true it is a StubState / false it is not a StubState

### isEntryPointPseudostate

    abstract boolean isEntryPointPseudostate()

  Check if the pseudostate is an EntryPoint.

  Returns:
    true it is an EntryPoint / false it is not an EntryPoint

### isExitPointPseudostate

    abstract boolean isExitPointPseudostate()

  Check if the pseudostate is an ExitPoint.

  Returns:
    true it is an ExitPoint / false it is not an ExitPoint

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD